summaryrefslogtreecommitdiff
path: root/emacsmail.sh.in
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2014-11-29 21:12:16 -0500
committerLuke Shumaker <lukeshu@sbcglobal.net>2014-11-29 21:12:16 -0500
commitba45b8bb8b1efbe8559c420dccbdfe4c3c9cbd02 (patch)
treec7ab9e0d2b3f04ca4ca6e422f8902a05ed98ea87 /emacsmail.sh.in
parent3cc97ee0730b747e50c4365735cded88c2116966 (diff)
emacs_getopt: have the caller capture the output
Diffstat (limited to 'emacsmail.sh.in')
-rw-r--r--emacsmail.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/emacsmail.sh.in b/emacsmail.sh.in
index 7e4733b..6d160a6 100644
--- a/emacsmail.sh.in
+++ b/emacsmail.sh.in
@@ -35,8 +35,8 @@ main() {
declare error=false
declare mode=normal
- declare args=
- emacs_getopt '' '' "$@" || error=true
+ declare args
+ args="$(emacs_getopt '' '' "$@")" || error=true
eval set -- "$args"
while true; do
case "$1" in